> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verifica threat intelligence IP

> Recupera la verifica threat intelligence di un IPv4.
Fornito da <a href="https://onefirewall.com/?tag=aegister" taget="_blank">OneFirewall</a>



## OpenAPI

````yaml get /api/v1/perimeter-protection/threat-intelligence/ip/{ip}
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/perimeter-protection/threat-intelligence/ip/{ip}:
    get:
      tags:
        - perimeter-protection
      summary: Check IP threat intelligence
      description: >-
        Retrieves Threat Intelligence IPv4 check.


        Provided by <a href="https://onefirewall.com/?tag=aegister"
        taget="_blank">OneFirewall</a>
      operationId: perimeter_protection_threat_intelligence_ip_retrieve
      parameters:
        - in: path
          name: ip
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
              examples:
                ExampleThreatintelligenceIpCheck:
                  value:
                    error: 0
                    messages: []
                    data:
                      body:
                        - gid: OFA-RULE-GID-XXXXXXXXXXXX
                          ip: XXX.YYY.WWW.ZZZ
                          ts: 1700637507
                          ttl: null
                          events: []
                          entry_ts: 1699945986
                          score: 74
                          info:
                            members: 5
                            events: 5
                            sources:
                              - githubusercontent stamparm levels 1
                              - dataplane.org sshpwauth
                              - opendbl.net blocklistde-all
                              - blocklist.de
                            notes:
                              - luna3
                          delay: 0
                          dec: 0.00003873155618178224
                          ip_info:
                            as_domain: sample.com
                            as_name: Sample LLC
                            asn: ASXXXXX
                            continent: XX
                            continent_name: Xxxxxxxxxxx
                            country: XX
                            country_name: Xxxxxxxxxx
                  summary: Threatintelligence ip check
                  description: Example threatintelligence ip check
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Malformed data structure
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````